NodeCrypto Help

Cryptographic Hash

Category: Hash & MAC & CRC ยท Node Type ID: hash-digest

Computes cryptographic hash (SHA-2, SHA-3, BLAKE3)

Overview

Computes a cryptographic message digest over an arbitrary-length input byte array using one of 12 industry-standard hash functions spanning the NIST SHA-2 family (FIPS 180-4), NIST SHA-3 & Keccak family (FIPS 202), BLAKE2/BLAKE3 (RFC 7693), and legacy digests (RIPEMD-160, SHA-1, MD5).

The node is deterministic and stateless: identical input bytes always produce the exact same fixed-length digest.

When to Use

Parameter Configuration

Parameter (ID)Type & DefaultVisibility ConditionDescription & Options
Hash Algorithm
algorithm
select
Default: SHA-256
Always visible Selects the cryptographic hash algorithm and output digest size: SHA-256 (32B), SHA-384 (48B), SHA-512 (64B), SHA-224 (28B), SHA3-256 (32B), SHA3-512 (64B), Keccak-256 (32B Ethereum pre-FIPS padding), BLAKE2b (64B), BLAKE2s (32B), BLAKE3 (32B), RIPEMD-160 (20B), MD5 (16B legacy), or SHA-1 (20B legacy).
  • SHA-256: SHA-256 (NIST FIPS 180-4)
  • SHA-512: SHA-512
  • SHA-224: SHA-224
  • SHA-384: SHA-384
  • SHA-512/224: SHA-512/224 (NIST FIPS 180-4)
  • SHA-512/256: SHA-512/256 (NIST FIPS 180-4)
  • SHA3-224: SHA3-224 (NIST FIPS 202)
  • SHA3-256: SHA3-256 (NIST FIPS 202)
  • SHA3-384: SHA3-384 (NIST FIPS 202)
  • SHA3-512: SHA3-512 (NIST FIPS 202)
  • Keccak-256: Keccak-256 (Ethereum)
  • Keccak-512: Keccak-512
  • SHAKE128: SHAKE128 (XOF)
  • SHAKE256: SHAKE256 (XOF)
  • BLAKE2b: BLAKE2b (64-bit platforms)
  • BLAKE2s: BLAKE2s (32-bit platforms)
  • BLAKE3: BLAKE3 (Ultra-fast parallel)
  • RIPEMD-160: RIPEMD-160 (Bitcoin / Legacy)
  • MD5: MD5 (Legacy RFC 1321)
  • SHA-1: SHA-1 (Legacy RFC 3174)

Port I/O Specification

See Ports & Connections for general wiring rules, data type colors, and dynamic port creation.

Input Ports

Port Nature: Fixed Input Ports (1 total).

Port NamePort IDData TypeRequiredVisibility ConditionDescription
Data data Bytes Required Always visible Input message bytes (Uint8Array) to hash.

Output Ports

Port Nature: Fixed Output Ports (1 total).

Port NamePort IDData TypeVisibility ConditionDescription
Digest digest Bytes Always visible Computed fixed-length cryptographic hash digest (Uint8Array).

Error Cases

This node has no runtime failure cases (errorProfile: none) and always succeeds for any valid typed input.

Examples

Computing an Ethereum Keccak-256 Hash

Hash a byte payload using Keccak-256.

  1. Connect your input bytes to Data and select Keccak-256 (Ethereum) in Hash Algorithm.
  2. The Digest output port emits the 32-byte Keccak-256 hash.